띠옹바루
187
2019-06-10 08:51:32 작성 2019-06-10 08:51:50 수정됨
11
420

npm install 설치시 gitgub 모듈 오류


npm install 설치시 아래 gitgub 에서 받아오는 모듈이 오류인데요


https://github.com/harrymini/vue-scrolly.git


개별로 npm install https://github.com/harrymini/vue-scrolly.git 해도 아래 와 같이 오류가 발생하네요

혹시 어떤 문제인지 알수있을까요?


5 silly install loadCurrentTree

6 silly install readLocalPackageData

7 silly fetchPackageMetaData error for git+https://github.com/harrymini/vue-scrolly.git Error while executing:

7 silly fetchPackageMetaData undefined ls-remote -h -t https://github.com/harrymini/vue-scrolly.git

7 silly fetchPackageMetaData

7 silly fetchPackageMetaData

7 silly fetchPackageMetaData spawn git ENOENT

8 timing stage:rollbackFailedOptional Completed in 1ms

9 timing stage:runTopLevelLifecycles Completed in 2727ms

10 verbose stack Error: spawn git ENOENT

10 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:240:19)

10 verbose stack     at onErrorNT (internal/child_process.js:415:16)

10 verbose stack     at process._tickCallback (internal/process/next_tick.js:63:19)

12 verbose Windows_NT 10.0.18362

14 verbose node v10.16.0

15 verbose npm  v6.9.0

16 error path git

17 error code ENOENT

18 error errno ENOENT

19 error syscall spawn git

20 error enoent Error while executing:

20 error enoent undefined ls-remote -h -t https://github.com/harrymini/vue-scrolly.git

20 error enoent

20 error enoent

20 error enoent spawn git ENOENT

21 error enoent This is related to npm not being able to find a file.

0
0
  • 답변 11

  • nathak
    513
    2019-06-10 09:05:18

    npm install vue-scrolly 실행시 에러 난다는 건가요?


    전 이상 없이 설치 되는데요?


    0
  • 띠옹바루
    187
    2019-06-10 09:13:35

    설치는 되는데요

    음 아래  gitgub에 있는 모듈을 설치해야한다고 해서요.


        "vue-scroll": "^2.1.7",

        "vue-scrolly": "^0.9.3", ->https://github.com/harrymini/vue-scrolly.git

    0
  • nathak
    513
    2019-06-10 09:18:48

    정확히 어떤 명령어에서 에러가 나는건지;;

    0
  • 띠옹바루
    187
    2019-06-10 10:01:16

    아래와 같이 설치 명령하면 오류납니다.


    npm install https://github.com/harrymini/vue-scrolly.git


    npm ERR! path git

    npm ERR! code ENOENT

    npm ERR! errno ENOENT

    npm ERR! syscall spawn git

    npm ERR! enoent Error while executing:

    npm ERR! enoent undefined ls-remote -h -t https://github.com/harrymini/vue-scrolly.git

    npm ERR! enoent

    npm ERR! enoent

    npm ERR! enoent spawn git ENOENT

    npm ERR! enoent This is related to npm not being able to find a file.

    npm ERR! enoent

    0
  • moonti
    2k
    2019-06-10 10:16:40

    저건 저장소고 모듈설치하랴면 모듈을 입력해야죠.

    Npm install vue-scolly

    이렇게요

    0
  • 푸르게
    557
    2019-06-10 10:25:07

    다음과 같이 해보세요.

    npm install harrymini/vue-scrolly

    0
  • 띠옹바루
    187
    2019-06-10 10:41:07

    알려주신 방식으로 해봐도 동일하게 오류 발생하네요.

    0
  • 푸르게
    557
    2019-06-10 11:02:09 작성 2019-06-10 11:03:31 수정됨

    git 이 설치되어 있는지 확인해보세요

    먼저 git을 설치하세요


    git --version

    0
  • 띠옹바루
    187
    2019-06-10 12:21:17

    흠. git 설치가 안되었네요 ㅠ

    설치하고 install 하니 정상처리 되네요.

    감사합니다.

    0
  • 푸르게
    557
    2019-06-10 13:13:57 작성 2019-06-10 13:15:41 수정됨

    흠.. 이라...

    기껏 답글 달았더니, 무슨 감상하나요?


    댓글에서 이런 것을 볼 줄이야.

    0
  • 띠옹바루
    187
    2019-06-10 16:08:58

    아 표현이 불쾌했다면 죄송합니다. ㅠ


    0
  • 로그인을 하시면 답변을 등록할 수 있습니다.